# wso2wsf::SCTProvider Class Reference
[SCTProvider]

class SCTProvider Represents an interface needed implement any user specific security context token provider functionality. For implementing a Token provider, one need to extend from the SCTProvider class and implement the abstract public methods defined by the SCTProvider class. More...

`#include <SCTProvider.h>`

List of all members.

## Public Member Functions
virtual void * | getToken (std::string &sct_id, MessageContext *msgctx)=0
virtual bool | storeToken (std::string &sct_id, MessageContext *msgctx, void *sct)=0
virtual bool | removeToken (std::string &sct_id, MessageContext *msgctx)=0
virtual bool | validateToken (OMNode *sct_node, MessageContext *msgctx)=0
virtual WSF_EXTERN | ~SCTProvider ()
## Static Public Member Functions
static WSF_EXTERN axis2_status_t | storeToken (const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, axis2_char_t *sct_global_id, axis2_char_t *sct_local_id, void *sct, void *user_params)
static WSF_EXTERN void * | getToken (const axutil_env_t *env, axis2_bool_t is_encryption, axis2_msg_ctx_t *msg_ctx, axis2_char_t *sct_id, int sct_id_type, void *user_params)
static WSF_EXTERN axis2_status_t | removeToken (const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, axis2_char_t *sct_id, int sct_id_type, void *user_params)
static WSF_EXTERN axis2_status_t | validateToken (const axutil_env_t *env, axiom_node_t *sct_node, axis2_msg_ctx_t *msg_ctx, void *user_params)

## Detailed Description

class SCTProvider Represents an interface needed implement any user specific security context token provider functionality. For implementing a Token provider, one need to extend from the SCTProvider class and implement the abstract public methods defined by the SCTProvider class.

## Constructor & Destructor Documentation

virtual WSF_EXTERN wso2wsf::SCTProvider::~SCTProvider | ( |  | ) | `[virtual]`

destructor that can be overridden.

## Member Function Documentation

static WSF_EXTERN void* wso2wsf::SCTProvider::getToken | ( | const axutil_env_t * | env,
|  | axis2_bool_t | is_encryption,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_char_t * | sct_id,
|  | int | sct_id_type,
|  | void * | user_params |
| ) |  |  | `[static]`

Static Handler to be invoked to get previously stored sct

virtual void* wso2wsf::SCTProvider::getToken | ( | std::string & | sct_id,
|  | MessageContext * | msgctx |
| ) |  |  | `[pure virtual]`

Handler to be invoked to get previously stored sct

Parameters:

  | sct_id | Security Context Token ID
  | msgctx | pointer to message context

Returns:
  void pointer to the token object requested security context token.

static WSF_EXTERN axis2_status_t wso2wsf::SCTProvider::removeToken | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_char_t * | sct_id,
|  | int | sct_id_type,
|  | void * | user_params |
| ) |  |  | `[static]`

Static Handler to be invoked to remove previously stored sct

virtual bool wso2wsf::SCTProvider::removeToken | ( | std::string & | sct_id,
|  | MessageContext * | msgctx |
| ) |  |  | `[pure virtual]`

Handler to be invoked to remove previously stored sct

Parameters:

  | sct_id | security context token id
  | msgctx | pointer to the message context

Returns:
  true if the operation is successful, false otherwise.

static WSF_EXTERN axis2_status_t wso2wsf::SCTProvider::storeToken | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_char_t * | sct_global_id,
|  | axis2_char_t * | sct_local_id,
|  | void * | sct,
|  | void * | user_params |
| ) |  |  | `[static]`

Static Handler to be invoked to store the sct

virtual bool wso2wsf::SCTProvider::storeToken | ( | std::string & | sct_id,
|  | MessageContext * | msgctx,
|  | void * | sct |
| ) |  |  | `[pure virtual]`

Handler to be invoked to store sct

Parameters:

  | sct_id | Security Content Token ID
  | msgctx | pointer to message context
  | sct | Security Context token to be stored.

Returns:
  true if the operation is successful, false otherwise.

static WSF_EXTERN axis2_status_t wso2wsf::SCTProvider::validateToken | ( | const axutil_env_t * | env,
|  | axiom_node_t * | sct_node,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | void * | user_params |
| ) |  |  | `[static]`

Static Handler to be invoked to validate whether security context token is valid or not

virtual bool wso2wsf::SCTProvider::validateToken | ( | OMNode * | sct_node,
|  | MessageContext * | msgctx |
| ) |  |  | `[pure virtual]`

Handler to be invoked to validate whether security context token is valid or not

Parameters:

  | sct_node | OMNode representing the Security Context Token
  | msgctx | pointer to the message context

Returns:
  true if the token is valid, false otherwise.

The documentation for this class was generated from the following file:

- SCTProvider.h